<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: emini/checkiterationemini.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_087401d2fcfe0d344c8cee8acbcc7f48.html">emini</a>
  </div>
</div>
<div class="contents">
<h1>checkiterationemini.c File Reference</h1><code>#include &quot;<a class="el" href="checkiterationemini_8c_source.html">emini.h</a>&quot;</code><br/>
<code>#include &quot;petscsys.h&quot;</code><br/>
<code>#include &quot;petscts.h&quot;</code><br/>
<code>#include &quot;petscao.h&quot;</code><br/>
<code>#include &lt;assert.h&gt;</code><br/>
<code>#include &quot;<a class="el" href="griddata_8h_source.html">griddata.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for checkiterationemini.c:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationemini_8c__incl.png" border="0" usemap="#emini_2checkiterationemini_8c_map" alt=""/></div>
<map name="emini_2checkiterationemini_8c_map" id="emini_2checkiterationemini_8c">
<area shape="rect" id="node12" href="griddata_8h.html" title="griddata.h" alt="" coords="149,86,227,117"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationemini_8c__dep__incl.png" border="0" usemap="#emini_2checkiterationemini_8cdep_map" alt=""/></div>
</div>

<p><a href="checkiterationemini_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationemini_8c.html#ae5edbe0fe0c81314aff57f7ab636f66b">CheckIterationEmini_Init</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b">CheckIterationEmini</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a1c9f3282235f811af60323611535e99b"></a><!-- doxytag: member="checkiterationemini.c::CheckIterationEmini" ref="a1c9f3282235f811af60323611535e99b" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CheckIterationEmini </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="checkiterationemini_8c_source.html#l00071">71</a> of file <a class="el" href="checkiterationemini_8c_source.html">checkiterationemini.c</a>.</p>

<p>References <a class="el" href="checkiterationemini_8c_source.html#l00037">CheckIterationEmini_Init()</a>, <a class="el" href="griddata_8h_source.html#l00264">GridData::equil</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="hext__ho_8c_source.html#l00054">MpHext()</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_cgraph.png" border="0" usemap="#checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_cgraph_map" alt=""></div>
<map name="checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_cgraph_map" id="checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_cgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#ae5edbe0fe0c81314aff57f7ab636f66b" title="CheckIterationEmini_Init" alt="" coords="192,7,355,38"/><area shape="rect" id="node5" href="field_8h.html#a386ce6c3aee542bfbdfbc8bce99d51fe" title="Hext_ho_hstep" alt="" coords="219,61,328,91"/><area shape="rect" id="node9" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="615,5,681,35"/><area shape="rect" id="node11" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="237,218,309,249"/><area shape="rect" id="node46" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="239,535,308,566"/><area shape="rect" id="node7" href="field_8h.html#aeebb8d32f6d9e3ab71e50c03e1372717" title="get_scalf_hstep" alt="" coords="403,61,517,91"/><area shape="rect" id="node13" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="411,165,509,195"/><area shape="rect" id="node24" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="415,271,505,302"/><area shape="rect" id="node42" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="405,351,515,382"/><area shape="rect" id="node15" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="593,218,703,249"/><area shape="rect" id="node18" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="604,58,692,89"/><area shape="rect" id="node20" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="603,111,693,142"/><area shape="rect" id="node22" href="writelog_8c.html#aa4b9c3d7fa8f610a0ae44ca0551f03ad" title="WriteLogInit" alt="" coords="603,165,693,195"/><area shape="rect" id="node26" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="601,325,695,355"/><area shape="rect" id="node40" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="593,271,703,302"/><area shape="rect" id="node28" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="785,246,873,277"/><area shape="rect" id="node30" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="936,166,1045,197"/><area shape="rect" id="node32" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="932,219,1049,250"/><area shape="rect" id="node34" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="933,273,1048,303"/><area shape="rect" id="node36" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="929,326,1052,357"/><area shape="rect" id="node38" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="929,113,1052,143"/><area shape="rect" id="node44" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="585,378,711,409"/><area shape="rect" id="node48" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="423,669,497,699"/><area shape="rect" id="node52" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="425,482,495,513"/><area shape="rect" id="node70" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="421,589,499,619"/><area shape="rect" id="node92" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="417,535,503,566"/><area shape="rect" id="node50" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="565,695,731,726"/><area shape="rect" id="node54" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="604,482,692,513"/><area shape="rect" id="node56" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="780,535,879,566"/><area shape="rect" id="node60" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="955,433,1027,463"/><area shape="rect" id="node64" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="937,486,1044,517"/><area shape="rect" id="node58" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="948,379,1033,410"/><area shape="rect" id="node62" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1243,485,1357,515"/><area shape="rect" id="node67" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="1101,485,1195,515"/><area shape="rect" id="node72" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="600,589,696,619"/><area shape="rect" id="node74" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="600,642,696,673"/><area shape="rect" id="node77" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="801,671,857,702"/><area shape="rect" id="node82" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="788,589,871,619"/><area shape="rect" id="node79" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="953,699,1028,730"/><area shape="rect" id="node84" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="957,539,1024,570"/><area shape="rect" id="node87" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="948,593,1033,623"/><area shape="rect" id="node90" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="944,646,1037,677"/><area shape="rect" id="node94" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="597,535,699,566"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_icgraph.png" border="0" usemap="#checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_icgraph_map" alt=""></div>
<map name="checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_icgraph_map" id="checkiterationemini_8c_a1c9f3282235f811af60323611535e99b_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="192,5,251,35"/><area shape="rect" id="node7" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="195,58,248,89"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="299,31,349,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae5edbe0fe0c81314aff57f7ab636f66b"></a><!-- doxytag: member="checkiterationemini.c::CheckIterationEmini_Init" ref="ae5edbe0fe0c81314aff57f7ab636f66b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CheckIterationEmini_Init </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="checkiterationemini_8c_source.html#l00037">37</a> of file <a class="el" href="checkiterationemini_8c_source.html">checkiterationemini.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, and <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>.</p>

<p>Referenced by <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationemini_8c_ae5edbe0fe0c81314aff57f7ab636f66b_icgraph.png" border="0" usemap="#checkiterationemini_8c_ae5edbe0fe0c81314aff57f7ab636f66b_icgraph_map" alt=""></div>
<map name="checkiterationemini_8c_ae5edbe0fe0c81314aff57f7ab636f66b_icgraph_map" id="checkiterationemini_8c_ae5edbe0fe0c81314aff57f7ab636f66b_icgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="216,31,355,62"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="403,5,461,35"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="405,58,459,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="509,31,560,62"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

